Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ipipan.spejd.entities
Class SentenceBorder

    java.lang.Object
      ipipan.spejd.entities.Entity
          ipipan.spejd.entities.SentenceBorder

    public class SentenceBorder

extends Entity

A representation of sentence beginning (sb) or end (se).

Field Summary
`static char` | `BEGIN`
`static char` | `END`

Fields inherited from class ipipan.spejd.entities.Entity
`ARRAY, GROUP, NOSPACE, NULL, SEGMENT, TOKEN, type, WORD`

Constructor Summary
`SentenceBorder(char type, Config conf)`

Method Summary
`java.lang.String` | `getAttr(int id)` Get orthographic or base form of an entity.
`void` | `printXML(java.io.PrintStream out)` Prints the XML (XCES) representation of entity on the given PrintStream.
`java.lang.String` | `toTxt()` Returns the representation of entity in the internal text format.

Methods inherited from class ipipan.spejd.entities.Entity
`add, concatAttr, concatAttr, delete, getAttrValues, getCommonValues, getGroupType, getId, getInterpretationArray, getInterpretations, getReplacement, getSemHead, getSynHead, setReplacement, setRule, unify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEGIN

    public static final char BEGIN

See Also:
  Constant Field Values

### END

    public static final char END

See Also:
  Constant Field Values

Constructor Detail

### SentenceBorder

    public SentenceBorder(char type,
                          Config conf)

Method Detail

### toTxt

    public java.lang.String toTxt()

  Description copied from class: `Entity`
  Returns the representation of entity in the internal text format.

  Overrides:
    `toTxt` in class `Entity`

### getAttr

    public java.lang.String getAttr(int id)

  Description copied from class: `Entity`
  Get orthographic or base form of an entity.

  Overrides:
    `getAttr` in class `Entity`
  Parameters:
    `id` - Attribute.ORTH or Attribute.BASE
  Returns:
    orthographic or base form for segments and words, empty string for groups and special entities (ns, sb, se).

### printXML

    public void printXML(java.io.PrintStream out)

  Description copied from class: `Entity`
  Prints the XML (XCES) representation of entity on the given PrintStream.

  Specified by:
    `printXML` in class `Entity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD